# RakNet::UDPProxyServerResultHandler Struct Reference

Callback to handle results of calling UDPProxyServer::LoginToCoordinator(). More...

`#include <UDPProxyServer.h>`

List of all members.

## Public Member Functions
virtual void | OnLoginSuccess (RakNet::RakString usedPassword, RakNet::UDPProxyServer *proxyServerPlugin)=0
virtual void | OnAlreadyLoggedIn (RakNet::RakString usedPassword, RakNet::UDPProxyServer *proxyServerPlugin)=0
virtual void | OnNoPasswordSet (RakNet::RakString usedPassword, RakNet::UDPProxyServer *proxyServerPlugin)=0
virtual void | OnWrongPassword (RakNet::RakString usedPassword, RakNet::UDPProxyServer *proxyServerPlugin)=0

## Detailed Description

Callback to handle results of calling UDPProxyServer::LoginToCoordinator().

## Member Function Documentation

virtual void RakNet::UDPProxyServerResultHandler::OnAlreadyLoggedIn | ( | RakNet::RakString | usedPassword,
|  | RakNet::UDPProxyServer * | proxyServerPlugin |
| ) |  |  | `[pure virtual]`

We are already logged in. This login failed, but the system is operational as if it succeeded

Parameters:

  `[out]` | usedPassword | The password we passed to UDPProxyServer::LoginToCoordinator()
  `[out]` | proxyServer | The plugin calling this callback

virtual void RakNet::UDPProxyServerResultHandler::OnLoginSuccess | ( | RakNet::RakString | usedPassword,
|  | RakNet::UDPProxyServer * | proxyServerPlugin |
| ) |  |  | `[pure virtual]`

Called when our login succeeds

Parameters:

  `[out]` | usedPassword | The password we passed to UDPProxyServer::LoginToCoordinator()
  `[out]` | proxyServer | The plugin calling this callback

virtual void RakNet::UDPProxyServerResultHandler::OnNoPasswordSet | ( | RakNet::RakString | usedPassword,
|  | RakNet::UDPProxyServer * | proxyServerPlugin |
| ) |  |  | `[pure virtual]`

The coordinator operator forgot to call UDPProxyCoordinator::SetRemoteLoginPassword()

Parameters:

  `[out]` | usedPassword | The password we passed to UDPProxyServer::LoginToCoordinator()
  `[out]` | proxyServer | The plugin calling this callback

virtual void RakNet::UDPProxyServerResultHandler::OnWrongPassword | ( | RakNet::RakString | usedPassword,
|  | RakNet::UDPProxyServer * | proxyServerPlugin |
| ) |  |  | `[pure virtual]`

The coordinator operator set a different password in UDPProxyCoordinator::SetRemoteLoginPassword() than what we passed

Parameters:

  `[out]` | usedPassword | The password we passed to UDPProxyServer::LoginToCoordinator()
  `[out]` | proxyServer | The plugin calling this callback

The documentation for this struct was generated from the following file:

- C:/RakNet/Source/UDPProxyServer.h